• Redmine Redmine продолжает удерживать планку самого капризного софта в моей практике. Очередная война с совместимостью разных версий gem'ов в ruby-системе. И почта до сих пор с него так и не уходит на новой системе...

Replies (11)

  • @Balancer, Вы не пробовали использовать RVM?
  • @wyldrodney, В прошлом году пробовал. Но не помню уже, что не понравилось.
  • @Balancer, Могу рассказать что не понравилось :) У меня есть некоторый опыт.

    Впрочем, если нужны разные версии гемов, окружений и рубей — рекомендую RVM. Не знаю что за система у Вас, но на Дебиан, к примеру, без RVM многие гемы установить обычным способом нельзя.
  • @wyldrodney, Мне немного проще, Redmine крутится в LXC контейнере, единственный представитель мира Ruby. Так что конкретный набор версий — не проблема. Проблема только в том, что о несоответствии версией узнаёшь, когда начинаешь гуглить на тему странного проведения или ошибок в логах.
  • @Balancer, Не худший вариант. Между делом, lxc теперь в каждом дистрибутиве?
  • @wyldrodney, В Gentoo и Ubuntu я начал его использовать больше года назад. В других дистрибутивах не знаю :)
  • @Balancer, А какая там война?
  • @Balancer, Упомянул и работа приплыла: нужно установить плагин recurring_tasks на redmine 1.4. Третий час бьюсь :)

    Вы не подскажете как плагины-то ставить правильно на такой версии Redmine? :)
  • @wyldrodney, К счастью, плагины пока не ставил, пользуюсь искоробочно :) С плагинами, наверное, мата было бы больше...
  • @Balancer, Отлично!
  • @Balancer, идеальный ПМ, секс в комплекте